from odoo import models, fields, api


class ResConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    product_pricelist_automatic = fields.Many2one(
        comodel_name="product.pricelist",
        string="Pricelist applied to automatic calculation of sales price",
        config_parameter="product_sale_price_from_pricelist.product_pricelist_automatic",
    )
